> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter & sort

## Filters

Most "List" endpoints support filtering. Filters can be applied as query string examplified below:

```bash theme={null}
curl 'https://api.plude.io/invoices/?filter=date gt 2022-04-29'
```

### Data types

When filtering (data types)\[/api-reference/datatypes], they must be formatted based on their property value. Consult the endpoint and object to apply the right formatting.

| type          | format                               | example                              |
| ------------- | ------------------------------------ | ------------------------------------ |
| Date only     | yyyy-MM-dd                           | 2022-04-29                           |
| Date & time   | yyyy-MM-ddThh:mm:ss                  | 2022-04-20T22:59:03                  |
| Guid          | xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx | dab5bd07-a231-4048-965a-001ff30c41e2 |
| Decimal       | ddddd.dddd                           | 12345678.9012                        |
| String        | 'string'                             | 'this is a string'                   |
| Money         | ddddd                                | 1234567                              |
| Currency      | abc                                  | EUR                                  |
| Values (Enum) | value                                | booked (ex. invoice.status)          |

### Operators

The following operators are supported. Support may vary of the data type. A `HTTP 400 Bad Request` will be returned if the opeator is not supported for the property.

| syntax | operator                           |
| ------ | ---------------------------------- |
| eq     | Equals                             |
| ne     | Not Equals                         |
| lk     | Search for string in string (like) |
| gt     | Greater than                       |
| ge     | Greater or equal to                |
| lt     | Less than                          |
| le     | Less than or equal to              |

## Sorting
